[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="contexts"]]

  [[#if (urlParam "resiri")]]
  [[else]]
    [[> :templateBreadcrumb uri=":addLocatorContextLabel" label="Add new locator context"]]
  [[/if]]
</ol>

[[#if (urlParam "resiri")]]
  <h2>Edit locator context</h2>
[[else]]
  <h2>Add new locator context</h2>
[[/if]]
<semantic-form
  persistence='LDP'
	browser-persistence='false'
  [[#if (urlParam "redirect")]]
    post-action="[[urlParam "redirect"]]"
  [[else]]
    post-action='http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms'
    urlqueryparam-tab='contexts'
  [[/if]]
  [[#if (urlParam "bookiri")]]
    urlqueryparam-bookiri="[[urlParam "bookiri"]]"
  [[/if]]
  fields="[[fieldDefinitions
 			locator_context_member="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/locator_context_member"
  		label="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/has_note"
      record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/type_record_type"
  ]]"
  [[#if (urlParam "resiri")]]
    subject="[[urlParam "resiri"]]"
  [[else]]
    subject="http://sphaera.mpiwg-berlin.mpg.de/id/thes/type/[[singleValueFromSelect "SELECT ?label WHERE { <http://sphaera.mpiwg-berlin.mpg.de/id/thes/type/placeholder> rdfs:label ?label }" ]]"
  [[/if]]
>
 	<semantic-form-text-input for="label"></semantic-form-text-input>

   <div class="disabled hidden-field">
		<semantic-form-text-input for="locator_context_member"></semantic-form-text-input>
		<semantic-form-text-input for="record_type"></semantic-form-text-input>
   </div>

  <div class="text-right form-submit">
    <semantic-link uri="http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms" urlqueryparam-tab="contexts" class="btn btn-default">Cancel</semantic-link>
    <button name="submit" class="btn btn-primary">Save</button>
  </div>

</semantic-form>

[[> :footer]]
